<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Database..::.Put Method (DatabaseEntry, DatabaseEntry)
Database Class See Also Send Feedback

Store the key/data pair in the database, replacing any previously existing key if duplicates are disallowed, or adding a duplicate data item if duplicates are allowed.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public void Put(
    	DatabaseEntry key,
    	DatabaseEntry data
    )

Visual Basic (Declaration)

    Public Sub Put ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry _
    )

Visual C++

    public:
    void Put(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key to store in the database

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data item to store in the database

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.DatabaseException | Partial put to a duplicate database, or QueueDatabase or RecnoDatabase with fixed-length records.

# See Also

Database Class
Put Overload
BerkeleyDB Namespace